## prog.utili
Enum AreaGeografica

    java.lang.Object
      java.lang.Enum<AreaGeografica>
          prog.utili.AreaGeografica

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AreaGeografica>

    public enum AreaGeografica

extends java.lang.Enum<AreaGeografica>

Le costanti rappresentano le aree geografiche in cui è divisa l'Italia.

Version:
  2.0
Author:
  Mauro Ferrari, Giovanni Pighizzini

Enum Constant Summary
`CENTRO`
`ISOLE`
`NORD`
`SUD`

Method Summary
`static AreaGeografica` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AreaGeografica[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NORD

    public static final AreaGeografica NORD

### CENTRO

    public static final AreaGeografica CENTRO

### SUD

    public static final AreaGeografica SUD

### ISOLE

    public static final AreaGeografica ISOLE

Method Detail

### values

    public static final AreaGeografica[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(AreaGeografica c : AreaGeografica.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static AreaGeografica valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name